SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpErrors')) DROP TABLE #tmpErrors
GO
CREATE TABLE #tmpErrors (Error int)
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION
GO
DROP TABLE [Library.OnetROnet]
GO
PRINT N'Creating [dbo].[Library.ROnetOnet]'
GO
CREATE TABLE [dbo].[Library.ROnetOnet]
(
[Id] [bigint] NOT NULL IDENTITY(1, 1),
[BestFit] [bit] NOT NULL CONSTRAINT [DF__Library.R__BestF__14A6EE59] DEFAULT ((0)),
[OnetId] [bigint] NOT NULL CONSTRAINT [DF__Library.R__OnetI__159B1292] DEFAULT ((0)),
[ROnetId] [bigint] NOT NULL CONSTRAINT [DF__Library.R__ROnet__168F36CB] DEFAULT ((0))
)
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK__Library.__3214EC0712BEA5E7] on [dbo].[Library.ROnetOnet]'
GO
ALTER TABLE [dbo].[Library.ROnetOnet] ADD CONSTRAINT [PK__Library.__3214EC0712BEA5E7] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating [dbo].[Library.OnetROnet]'
GO
CREATE TABLE [dbo].[Library.OnetROnet]
(
[Id] [bigint] NOT NULL IDENTITY(1, 1),
[OnetId] [bigint] NOT NULL CONSTRAINT [DF__Library.O__OnetI__2E11BAA1] DEFAULT ((0)),
[ROnetId] [bigint] NOT NULL CONSTRAINT [DF__Library.O__ROnet__394E6323] DEFAULT ((0)),
[BestFit] [bit] NOT NULL CONSTRAINT [DF_Library.OnetROnet_BestFit] DEFAULT ((0))
)
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK__Library.__3214EC072A4129BD] on [dbo].[Library.OnetROnet]'
GO
ALTER TABLE [dbo].[Library.OnetROnet] ADD CONSTRAINT [PK__Library.__3214EC072A4129BD] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[Library.OnetROnet]'
GO
ALTER TABLE [dbo].[Library.OnetROnet] WITH NOCHECK  ADD CONSTRAINT [FK__Library.O__OnetI__61F08603] FOREIGN KEY ([OnetId]) REFERENCES [dbo].[Library.Onet] ([Id])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[Library.OnetROnet]'
GO
ALTER TABLE [dbo].[Library.OnetROnet] ADD CONSTRAINT [FK__Library.O__ROnet__3A42875C] FOREIGN KEY ([ROnetId]) REFERENCES [dbo].[Library.ROnet] ([Id])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[Library.ROnetOnet]'
GO
ALTER TABLE [dbo].[Library.ROnetOnet] ADD CONSTRAINT [FK__Library.R__OnetI__17835B04] FOREIGN KEY ([OnetId]) REFERENCES [dbo].[Library.Onet] ([Id])
ALTER TABLE [dbo].[Library.ROnetOnet] ADD CONSTRAINT [FK__Library.R__ROnet__18777F3D] FOREIGN KEY ([ROnetId]) REFERENCES [dbo].[Library.ROnet] ([Id])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
IF EXISTS (SELECT * FROM #tmpErrors) ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT>0 BEGIN
PRINT 'The database update succeeded'
COMMIT TRANSACTION
END
ELSE PRINT 'The database update failed'
GO
DROP TABLE #tmpErrors
GO